﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Migrating Data to a New Index</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Migrating Data to a New Index</h1>
        <p>Indexes older than version 5.2 has to be migrated to new index.</p>
        <h2 id="MigratingDatatoNewIndex-WebserviceAPItoMigrateData">Webservice API to Migrate Data</h2>
        <h3 id="MigratingDatatoNewIndex-RequestURL">Request URL<br /><br /></h3><span class="attr">http://localhost:8080/ECM/api/copyIndexData</span>
        <h3 id="MigratingDatatoNewIndex-HEADERS">HEADERS</h3>
        <p><strong>Authorization: </strong>Bearer &lt;token&gt;</p>
        <p><strong>Content-Type: </strong>application/json</p>
        <h3 id="MigratingDatatoNewIndex-REQUESTBODY">REQUEST BODY</h3>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>JSON</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: PlainText;">\{
"indexName" : "entitlementowner", 
"indexType" : "entitlementowner",
"analyticsConfigKey" : 16, // Analytics config key
"mainindexName" : "analyticshistoryentitlementowner", // Main index name (applicable for old indexes created during 5.0)
"mainindexType" : "analyticsHistory", // Main index name (applicable for old indexes created during 5.0)
"readsize" : "10000", // Records to read in one fetch
"writesize" : "5000", // Records to write in one fetch
"suppresssleep" : "1"\}  </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col style="width: 219.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 539.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameter</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">indexName</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Name of index whose data has to be migrated.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">indexType</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Type of index.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">analyticsConfigKey</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Analytics config key.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">mainindexName</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Main index name (applicable for old indexes created during 5.0)</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">readsize</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Records to be read in one fetch.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">writesize</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Records to write in one fetch.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text"><span class="inline-comment-marker">suppresssleep</span>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">Supresses sleep time defined</p>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <p>When webservice runs fine, it will create a new index with name &lt;IndexName&gt;v1. Append the analytics config with v1 at the end.</p>
        <h2 id="MigratingDatatoNewIndex-WebserviceAPItoPopulateAnalyticsES_AnalyticsHistoryTable">Webservice API to Populate AnalyticsES_AnalyticsHistory Table</h2>
        <h3 id="MigratingDatatoNewIndex-RequestURL.1">Request URL<br /><br /></h3><span class="attr">http://localhost:8080/ECM/api/copyIndexConfigData</span>
        <h3 id="MigratingDatatoNewIndex-HEADERS.1">HEADERS</h3>
        <p><strong>Authorization: </strong>Bearer &lt;token&gt;</p>
        <p><strong>Content-Type: </strong>application/json</p>
        <h3 id="MigratingDatatoNewIndex-REQUESTBODY.1">REQUEST BODY</h3>
        <MadCap:codeSnippet>
            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
            <MadCap:codeSnippetCaption>JSON</MadCap:codeSnippetCaption>
            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: PlainText;">\{
"indexName" : "analyticshistoryentitlementowner", 
"indexType" : "analyticsHistory",
"analyticsConfigKey" : 16,
"readsize" : "10000",
"indexFormat" : "twoindex"\}   </MadCap:codeSnippetBody>
        </MadCap:codeSnippet>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col style="width: 196.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 562.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameter</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">indexName</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Name of index whose data has to be migrated.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">indexType</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Type of index.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">analyticsConfigKey</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Analytics config key.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">readsize</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Records to be read in one fetch.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">indexFormat</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">Format in which old data is stored.</p>
                            <p class="table-text">Indexes created before version 5.2 have two indexes which stores data. Indexes created after version 5.2 has a single index which stores data.</p>
                            <p class="table-text">Possibe values:</p>
                            <ul>
                                <li>
                                    <p>twoindex</p>
                                </li>
                                <li>
                                    <p>index</p>
                                </li>
                            </ul>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <p>&#160;</p>
    </body>
</html>